<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use CmBundle\Entity\Procedencias;
use CmBundle\Entity\InstitucionesEgresos;
use CmBundle\Entity\CordinadoresTitulacion;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of ProcedenciaController
 *
 * @author omar
 */
class ProcedenciaController extends Controller
{

    //put your code here
    public function gProcedenciaAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();
                $nomPlantel = trim($request->get("nomPlantel"));

                $procedencia = new Procedencias();
                $procedencia->setNomPlantel($nomPlantel);
                $em->persist($procedencia);
                $em->flush();

                $procedenciaIde = $procedencia->getIdePro();

                $listaProcedencias = $em->getRepository('CmBundle:Procedencias')
                    ->findAll();

                return $this->render('CmBundle:Procedencias:lista-procedencias.html.twig',
                    array(
                        'procedencias' => $listaProcedencias,
                        'procedenciaIde' => $procedenciaIde
                    )
                );
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function gInstitutoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();
                $nomPlantel = $request->get("nomPlantel");

                $instituto = new InstitucionesEgresos();
                $instituto->setNomIns($nomPlantel);
                $instituto->setFecMov(new \DateTime(date('Y-m-d')));

                $em->persist($instituto);
                $em->flush();

                $listaProcedencias = $em->getRepository('CmBundle:InstitucionesEgresos')->findBy(array(), array('nomIns' => 'ASC'));

                return $this->render('CmBundle:Procedencias:lista-ins-egresos.html.twig', array(
                    'procedencias' => $listaProcedencias
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function gCordinadorAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();
                $nomCor = $request->get("nomCordinador");

                $cordinador = new CordinadoresTitulacion();
                $cordinador->setNomCor($nomCor);
                $cordinador->setFecMov(new \DateTime(date('Y-m-d')));

                $em->persist($cordinador);
                $em->flush();

                $cordinadores = $em->getRepository('CmBundle:CordinadoresTitulacion')->findBy(array(), array('nomCor' => 'ASC'));

                return $this->render('CmBundle:Procedencias:lista-cordinadores.html.twig', array(
                    'cordinadores' => $cordinadores
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function cargarDatosAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $nivel = $request->get('nivel');

                if ($nivel == '1') { //LICENCIATURAS
                    $nivel = 3;
                } elseif ($nivel == '2') {// MAESTRIAS
                    $nivel = 4;
                } elseif ($nivel == '3') {// DOCTORADOS
                    $nivel = 5;
                } elseif ($nivel == '13') {// ESPECIALIDAD
                    $nivel = 13;
                }

                $carrreras = $em->getRepository('CmBundle:LicenciaturasTitulacion')
                    ->findBy(array('cveNivAca' => $nivel), array('nomLic' => 'ASC'));

                return $this->render('CmBundle:Procedencias:lista-lic-titulacion.html.twig', array(
                    'carreras' => $carrreras
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

}
